Description

Hi !

As soon as you've got several vector layers, the selection becomes very confusing :

there's no way to tell if the highlighted polygons are a selection of the active layer or on background layers.

The best solution would be :

- a checkbox in the options to let the user choose whether background selections should be highlighted

- if checked, a colorbox to choose another color for the background selection.

Thanks !

Best regards

History

#1 - 2013-01-17 09:57 AM - Giovanni Manghi

- Target version set to Future Release - Nice to have

- Category set to Map Canvas

- Status changed from Open to Feedback

in the project properties you can control the % of transparency of the selection color (alpha channel) and I agree and also suggest (already did a long ago)

that the selection color should NOT be 100% solid by default.

If the selection color has some amount of tranparency it is easier to understand if you have selected more than 1 overlapping polygons.

It is easier to understand also how works the selection tool:

the "select single feature" selects as expected only the top polygon, where the others do select also the polygons below the top level one.

What do you think?

#2 - 2013-01-17 10:39 AM - Larry Shaffer

In addition to the above suggestions, I'd recommend the following:

Define a new select tool option for its mode (e.g. active layer or all layers), similar to how the identify tool works, that would affect the results of selection

tools other than 'select single feature'.

One issue with setting the default to some amount of translucency is that the Qt <4.5 versions' QColorDialog did not support setting the alpha component.
But, since QGIS 2.0 should have at least 4.5 as its base Qt requirement (should really be 4.6 or 4.7 IMO), I don't see an issue with setting the default to

some amount of translucency, starting right now. A workaround for older Qt versions could be to add a transparency slider, but that's only if QGIS 2.0 is to

support Qt <4.5 versions.

Giovanni, if you want to find the 'best' setting for the alpha component, I will make the default change. Look for the 'default_selection_color_alpha' setting in

your QSettings for the app, or what your OS color dialog reports for opacity, etc. and also attach a screen snap, so I can verify the setting.

#3 - 2013-01-17 11:43 AM - Giovanni Manghi

Giovanni, if you want to find the 'best' setting for the alpha component, I will make the default change. Look for the 'default_selection_color_alpha'

setting in your QSettings for the app, or what your OS color dialog reports for opacity, etc. and also attach a screen snap, so I can verify the setting.

ok, I'm reviewing some old note and ticket.

Meantime, this should be a duplicate #3194

#4 - 2013-01-17 11:45 AM - Giovanni Manghi

Giovanni, if you want to find the 'best' setting for the alpha component, I will make the default change. Look for the 'default_selection_color_alpha'

setting in your QSettings for the app, or what your OS color dialog reports for opacity, etc. and also attach a screen snap, so I can verify the setting.

this is the ticket #4553

unfortunately is very long, and so very boring to read. Please let me know if you get lost (in my badly written notes).

#5 - 2017-05-01 12:48 AM - Giovanni Manghi

- Easy fix? set to No
